<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteDirectDebitRecordsBatch-Request StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:DeleteDirectDebitRecordsBatch-Request
 * @subpackage Structs
 */
class DeleteDirectDebitRecordsBatch_Request extends AbstractStructBase
{
    /**
     * The BatchId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $BatchId;
    /**
     * Constructor method for DeleteDirectDebitRecordsBatch-Request
     * @uses DeleteDirectDebitRecordsBatch_Request::setBatchId()
     * @param string $batchId
     */
    public function __construct($batchId = null)
    {
        $this
            ->setBatchId($batchId);
    }
    /**
     * Get BatchId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBatchId()
    {
        return isset($this->BatchId) ? $this->BatchId : null;
    }
    /**
     * Set BatchId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $batchId
     * @return \patest\StructType\DeleteDirectDebitRecordsBatch_Request
     */
    public function setBatchId($batchId = null)
    {
        // validation for constraint: string
        if (!is_null($batchId) && !is_string($batchId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($batchId, true), gettype($batchId)), __LINE__);
        }
        if (is_null($batchId) || (is_array($batchId) && empty($batchId))) {
            unset($this->BatchId);
        } else {
            $this->BatchId = $batchId;
        }
        return $this;
    }
}
